Package org.eclipse.lemminx.commons.progress

## Interface ProgressSupport

All Known Implementing Classes:
  `XMLLanguageServer`

    public interface ProgressSupport

LSP Progress support API.

Author:
  Angelo ZERR

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`CompletableFuture<Void>` `createProgress​(org.eclipse.lsp4j.WorkDoneProgressCreateParams params)` Create a progress.
`default ProgressMonitor` `createProgressMonitor()`
`default ProgressMonitor` `createProgressMonitor​(String progressId)`
`boolean` `isWorkDoneProgressSupported()` Returns true if the LSP client can support LSP progress and false otherwise.
`void` `notifyProgress​(String progressId, org.eclipse.lsp4j.WorkDoneProgressNotification notification)` Notify the the progress notification with the given process id.

### Method Detail

#### createProgressMonitor

    default ProgressMonitor createProgressMonitor()

#### createProgressMonitor

    default ProgressMonitor createProgressMonitor​(String progressId)

#### isWorkDoneProgressSupported

    boolean isWorkDoneProgressSupported()

Returns true if the LSP client can support LSP progress and false otherwise.

Returns:
  true if the LSP client can support LSP progress and false otherwise.

#### createProgress

    CompletableFuture<Void> createProgress​(org.eclipse.lsp4j.WorkDoneProgressCreateParams params)

Create a progress.

Parameters:
  `params` - the progress create parameters
Returns:

#### notifyProgress

    void notifyProgress​(String progressId,
                        org.eclipse.lsp4j.WorkDoneProgressNotification notification)

Notify the the progress notification with the given process id.

Parameters:
  `progressId` - the progress id.
  `notification` - the progress notification.